<?php

declare(strict_types=1);

namespace App\Framework\Database\Exception;

class EntityNotFoundException extends DatabaseException
{
    public function __construct(string $entityClass, mixed $id, ?\Throwable $previous = null)
    {
        parent::__construct("Entity {$entityClass} with ID {$id} not found", 0, $previous);
    }
}
